Subject: Re: A Question from a Hopeful Future Contributor

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Jul 2025 16:15:56 -0700

Eric Frederickson <[email-masked]> writes:

> Looking through the repo for a place to find todo items, I naturally stumbled
> upon the TODO file in the origin/todo branch,...

Please disregard that file (I should remove it from the repository,
too).  It is not curated at all, and the last update to it is more
than 13 years ago.

>> * "git status" on intent-to-add index entries (say "I" in the first
>>   column instead of "A" for short status, add "(needs 'git add')" at the
>>   end of "new file: $path " in long status).
>
> I am interpreting this todo message as meaning that the following behavior
> should be implemented:

I think that was done long time ago.  The entry may have been a wish-item
in April 2011, but not anymore.

Sorry for wasting your time.  A better sources of inspiration might
come from list archive searches for the past 3 year or so.

https://lore.kernel.org/git/?q=%22%23leftoverbit%22+d%3A20220718..

But even then, many itches have already been scratched.

As is often said, in open source, the easiest is to start scratching
your own itch ;-)

Thanks.